Alembic: Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory Class Reference

## Public Types
enum | CoreType { kHDF5 , kOgawa , kLayer , kUnknown }
| The type which yielded a valid IArchive (or kUnknown if invalid)
enum | OgawaReadStrategy { kFileStreams , kMemoryMappedFiles }

## Public Member Functions
Alembic::Abc::IArchive | getArchive (const std::string &iFileName, CoreType &oType)
Alembic::Abc::IArchive | getArchive (const std::string &iFileName)
Alembic::Abc::IArchive | getArchive (const std::vector< std::string > &iFileNames)
Alembic::Abc::IArchive | getArchive (const std::vector< std::string > &iFileNames, CoreType &oType)
Alembic::Abc::IArchive | getArchive (const std::vector< std::istream * > &iStreams, CoreType &oType)
void | setHDF5CacheHierarchy (bool iCacheHierarchy)
bool | getHDF5CacheHierarchy () const
| Gets whether an HDF5 file will use the cached hierarchy.
void | setSampleCache (Alembic::AbcCoreAbstract::ReadArraySampleCachePtr iCachePtr)
| Set the array sample cache, the HDF5 implementation optionally uses this.
Alembic::AbcCoreAbstract::ReadArraySampleCachePtr | getSampleCache () const
| Get the array sample cache.
size_t | getOgawaNumStreams () const
void | setOgawaNumStreams (size_t iNumStreams)
OgawaReadStrategy | getOgawaReadStrategy ()
| Get the I/O strategy used for reading Ogawa files.
void | setOgawaReadStrategy (OgawaReadStrategy iStrategy)
Alembic::Abc::ErrorHandler::Policy | getPolicy ()
| Gets the error handler policy.
void | setPolicy (Alembic::Abc::ErrorHandler::Policy iPolicy)
| Sets the error handler policy, the default is kThrowPolicy.

## Member Function Documentation

## ◆ getArchive() [1/5]

Alembic::Abc::IArchive Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getArchive | ( | const std::string & | iFileName | ) |

Try to open a file and return IArchive. If the file wasn't a valid file or known type and invalid archive is returned.

## ◆ getArchive() [2/5]

Alembic::Abc::IArchive Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getArchive | ( | const std::string & | iFileName,
|  | CoreType & | oType )

Try to open a file and set oType to the one that yields a successful oType, or kUnknown if the IArchive isn't valid

## ◆ getArchive() [3/5]

Alembic::Abc::IArchive Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getArchive | ( | const std::vector< std::istream * > & | iStreams,
|  | CoreType & | oType )

Use the streams (Alembic does not take ownership) to read the data from This is currently only valid for Ogawa. The streams must all reference the same data.

## ◆ getArchive() [4/5]

Alembic::Abc::IArchive Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getArchive | ( | const std::vector< std::string > & | iFileNames | ) |

Open a series of alembic files, layering each file on top of the next to present a single IArchive

## ◆ getArchive() [5/5]

Alembic::Abc::IArchive Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getArchive | ( | const std::vector< std::string > & | iFileNames,
|  | CoreType & | oType )

Try to open and layer a series of files file and return IArchive. If all of the files are invalid, an invalid archive is returned. If only some of the archives are invalid, only the good ones are opened and layered, while invalid ones are ignored.

## ◆ getOgawaNumStreams()

size_t Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::getOgawaNumStreams | ( |  | ) | const
| inline

Gets the number of streams that will be opened when opening an Ogawa file

## ◆ setHDF5CacheHierarchy()

void Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::setHDF5CacheHierarchy | ( | bool | iCacheHierarchy | ) |
| inline

If opening an HDF5 file, sets whether to use the cached hierarchy if it exists, the default value is true

## ◆ setOgawaNumStreams()

void Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::setOgawaNumStreams | ( | size_t | iNumStreams | ) |
| inline

Sets the number of streams that will be opened when opening an Ogawa file, the default is 1

## ◆ setOgawaReadStrategy()

void Alembic::AbcCoreFactory::ALEMBIC_VERSION_NS::IFactory::setOgawaReadStrategy | ( | OgawaReadStrategy | iStrategy | ) |
| inline

Sets the I/O strategy used for reading Ogawa files. The default is kMemoryMappedFiles.

The documentation for this class was generated from the following files:

- AbcCoreFactory/IFactory.h
- AbcCoreFactory/IFactory.cpp